#include <DHT.h>
#include<LiquidCrystal.h>
#include<SoftwareSerial.h>
DHT dht;//DHT object
LiquidCrystal lcd(1,2,4,5,6,7);//liquid crystal object with the pin parameters
SoftwareSerial myserial(10,11);//since both 16*2 and HC05 are connect in UNO
void setup()
{
  lcd.begin(16,2);
  pinMode(10,INPUT);
  pinMode(11,OUTPUT);
myserial.begin(9600);
  dht.setup(8); // data pin 8
}


void loop()
{
  delay(dht.getMinimumSamplingPeriod());
  float humidity = dht.getHumidity();
  float temperature = dht.getTemperature();
    lcd.setCursor(0,0);
   lcd.print("Temp.: "); // Prints string "Temp." on the LCD
  lcd.print(temperature); // Prints the temperature value from the sensor
  lcd.print(" C");
  lcd.setCursor(0,1);
  lcd.print("Humi.: ");
  lcd.print(humidity);
  lcd.print(" %");
  myserial.print("temperature is");
  myserial.println(temperature );//sends temp data via bluetooth
  myserial.print("humidity is");
  myserial.println(humidity );;//sends humidity data via bluetooth
  delay(2000);
}
